Funds all transfers in a batch group from a multi-currency account balance. Transfers are paid out immediately.
The batch group must first be completed and there must be enough funds in the account for the whole batch. Otherwise, an insufficient funds error is returned.
This endpoint is SCA protected. SCA requirements apply to profiles registered outside of the following regions: US, AU, NZ, SG, CA, MY.
Review the Strong Customer Authentication guide for more details.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
- Production Environmenthttps://api.wise.com/2026Q4/profiles/{profileId}/batch-payments/{batchGroupId}/payments
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/profiles/{profileId}/batch-payments/{batchGroupId}/payments
curl -i -X POST \
https://api.wise.com/2026Q4/profiles/12345678/batch-payments/54a6bc09-cef9-49a8-9041-f1f0c654cd88/payments \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"type": "BALANCE"
}'Batch group funded successfully.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
If this batch was submitted as a file, this is the given file name.
The source currency of the batch. Note that if there are insufficient funds, an automatic conversion from another currency can occur.
Current batch group status.
Whether this batch was submitted over the API or as a file.
{ "id": "54a6bc09-cef9-49a8-9041-f1f0c654cd88", "name": "My batch group", "fileName": null, "alreadyPaid": true, "shortId": 12345, "userId": 33333333, "profileId": 44444444, "sourceCurrency": "GBP", "status": "COMPLETED", "groupType": "API", "transferIds": [ 100001, 100002, 100003 ] }